Page MenuHomePhabricator

merge: introduce `addcommitinfo()` on mergeresult object
ClosedPublic

Authored by pulkit on Aug 10 2020, 7:18 AM.

Details

Summary

This makes code little bit nicer as we directly update information in the
mergeresult object instead of building up a dict first and then setting it.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

pulkit created this revision.Aug 10 2020, 7:18 AM
marmoute accepted this revision.Aug 10 2020, 1:19 PM
pulkit updated this revision to Diff 22394.Aug 11 2020, 3:46 AM
indygreg accepted this revision.Aug 22 2020, 6:45 PM
This revision is now accepted and ready to land.Aug 22 2020, 6:45 PM
This revision was automatically updated to reflect the committed changes.